<%--57a448567716ee5906bb73fe3b262bad2011/8/3 22:42:37--%>
<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="Kcms.UI.ask_post" %>
<%@ Import namespace="Kcms.Model" %>
<script runat="server">
protected override void OnInit(EventArgs e)
{
	/*
	本页面代码由Kcms模板引擎生成于 2011/8/4 7:00:49.
	*/
	base.OnInit(e);
	pageBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	pageBuilder.Append("<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n");
	pageBuilder.Append("<head>\r\n");
	pageBuilder.Append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n");
	pageBuilder.Append("<title>");
	pageBuilder.Append(title.ToString());
	pageBuilder.Append("</title>\r\n");
	pageBuilder.Append("<meta name=\"keywords\" content=\"");
	pageBuilder.Append(keywords.ToString());
	pageBuilder.Append("\" />\r\n");
	pageBuilder.Append("<meta name=\"description\" content=\"");
	pageBuilder.Append(description.ToString());
	pageBuilder.Append("\" />\r\n");
	pageBuilder.Append("<link href=\"templates/default/styles/kcms.css\" rel=\"stylesheet\" type=\"text/css\" />\r\n");
	pageBuilder.Append("<script src=\"/scripts/jquery-1.4.1.min.js\" type=\"text/javascript\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("<script type=\"text/javascript\">\r\n");
	pageBuilder.Append("    $(function () {\r\n");
	pageBuilder.Append("        $(\"#stype\").hover(\r\n");
	pageBuilder.Append("        function () {\r\n");
	pageBuilder.Append("            $(\".sea ul\").slideDown(\"normal\");\r\n");
	pageBuilder.Append("        },\r\n");
	pageBuilder.Append("        function () {\r\n");
	pageBuilder.Append("            $(\".sea ul\").slideUp(\"normal\");\r\n");
	pageBuilder.Append("        });\r\n");
	pageBuilder.Append("    });\r\n");
	pageBuilder.Append("    function stys(h, v) {\r\n");
	pageBuilder.Append("        $(\".meun\").html(h);\r\n");
	pageBuilder.Append("        $(\"#searchtype\").val(v);\r\n");
	pageBuilder.Append("    }\r\n");
	pageBuilder.Append("</");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("</head>\r\n");
	pageBuilder.Append("<body>\r\n");
	pageBuilder.Append("<div class=\"topbar\">\r\n");
	pageBuilder.Append("  <div class=\"mainbox\"><p>\r\n");

	if (userid==0)
	{

	pageBuilder.Append("    <a href=\"login.aspx\">登录</a> | <a href=\"register.aspx\">注册</a>\r\n");

	}
	else
	{

	pageBuilder.Append("    欢迎您! <em>☺</em> ");
	pageBuilder.Append(username.ToString());
	pageBuilder.Append(" | <a href=\"/usercenter/\">用户中心</a> | <a href=\"loginout.aspx\">退出?</a>\r\n");

	}	//end if

	pageBuilder.Append("  </p></div>\r\n");
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("<div class=\"mainbox\">\r\n");
	pageBuilder.Append("  <div class=\"logobar clearfix\">\r\n");
	pageBuilder.Append("    <div class=\"logo\"><a href=\"\" title=\"快聚合网赚系统\">快聚合网赚系统</a></div>\r\n");
	pageBuilder.Append("    <div class=\"search\">\r\n");
	pageBuilder.Append("    <div class=\"clearfix\">\r\n");
	pageBuilder.Append("    <form action=\"search.aspx\" method=\"get\">\r\n");
	pageBuilder.Append("        <div class=\"sea\">\r\n");
	pageBuilder.Append("        <div id=\"stype\">\r\n");
	pageBuilder.Append("        <a href=\"javascript:;\" class=\"meun\">资讯</a>\r\n");
	pageBuilder.Append("        <ul>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('专题', 0)\">专题</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('资讯', 1)\">资讯</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('博文', 2)\">博文</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('问答', 3)\">问答</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('图片', 4)\">图片</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('视频', 5)\">视频</a></li>\r\n");
	pageBuilder.Append("        </ul>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("        <input id=\"searchtype\" name=\"t\" type=\"hidden\" value=\"1\" />\r\n");
	pageBuilder.Append("        <input id=\"searchkeys\" name=\"wd\" type=\"text\" />\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("        <input id=\"submit\" type=\"submit\" value=\"搜索\" class=\"sea_doc\"/>\r\n");
	pageBuilder.Append("    </form>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("    <p>\r\n");

	foreach(SearchInfo search in SearchTop(6,false))
	{
	pageBuilder.Append("    <a href=\"search.aspx?t=");
	pageBuilder.Append(search.t.ToString().Trim());
	pageBuilder.Append("&wd=\r\n");
pageBuilder.Append(Server.UrlEncode(search.wd));
	pageBuilder.Append("\">");
	pageBuilder.Append(search.wd.ToString().Trim());
	pageBuilder.Append("</a>\r\n");

	}	//end if

	pageBuilder.Append("    </p>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("  <div class=\"nav\">\r\n");
	pageBuilder.Append("    <ul class=\"clearfix\">\r\n");
	pageBuilder.Append("     <li><a href=\"/\">首页</a></li>\r\n");

	if (indexType==1)
	{

	pageBuilder.Append("     <li><a href=\"home.aspx\">综合页</a></li>\r\n");

	}	//end if

	pageBuilder.Append("     <li><a href=\"news.aspx\">资讯</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"bowen.aspx\">博文</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"pic.aspx\">图片</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"video.aspx\">视频</a></li>\r\n");

	if (indexType==0)
	{

	pageBuilder.Append("     <li><a href=\"ask.aspx\">问答</a></li>\r\n");

	}	//end if

	pageBuilder.Append("     <li><a href=\"special.aspx\">专题</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"tag.aspx\">标签</a></li>\r\n");
	pageBuilder.Append("    </ul>\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("  <div class=\"channel\">\r\n");
	pageBuilder.Append("  <ul class=\"clearfix\">\r\n");

	foreach(ChannelInfo channel in channelList())
	{
	pageBuilder.Append("    <li><a href=\"channel-");
	pageBuilder.Append(channel.id.ToString().Trim());
	pageBuilder.Append(".aspx\">");
	pageBuilder.Append(channel.channelname.ToString().Trim());
	pageBuilder.Append("</a></li>\r\n");

	}	//end loop

	pageBuilder.Append("  </ul>\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("  <div><a href=\"http://www.kuaishow.com/\" target=\"_blank\"><img src=\"templates/default/images/ad-banner.jpg\" width=\"950\" height=\"80\" border=\"0\" /></a></div>\r\n");

	pageBuilder.Append("    <script src=\"inc/kindeditor/kindeditor-min.js\" type=\"text/javascript\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("    <script src=\"scripts/public.js\" type=\"text/javascript\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("    <script src=\"/inc/artDialog/artDialog.min.js\" type=\"text/javascript\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("    <script src=\"scripts/askpost.js\" type=\"text/javascript\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("  <div class=\"ask clearfix\">\r\n");
	pageBuilder.Append("   <div class=\"post\">\r\n");
	pageBuilder.Append("   <form action=\"\" method=\"post\" name=\"postform\" id=\"postform\" target=\"postdata\">\r\n");
	pageBuilder.Append("<div class=\"tr clearfix\">\r\n");
	pageBuilder.Append("        <div class=\"l\">&nbsp;</div>\r\n");
	pageBuilder.Append("        <div class=\"m\"><p class=\"tops\"></p></div>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("    <div class=\"tr clearfix\">\r\n");
	pageBuilder.Append("        <div class=\"l\">提问标题：</div>\r\n");
	pageBuilder.Append("        <div class=\"r\">\r\n");
	pageBuilder.Append("            <p><input name=\"title\" type=\"text\" id=\"title\" style=\"width:538px\" value=\"\" class=\"inputs\" oninput=\"chkPut(this.value)\" onpropertychange=\"chkPut(this.value)\"/></p>\r\n");
	pageBuilder.Append("            <p class=\"tips\"><span id=\"title_tip\"></span></p>\r\n");
	pageBuilder.Append("            <p class=\"zs\">已经输入<span id=\"titlenum\">0</span>字</p>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("    <div class=\"tr clearfix\">\r\n");
	pageBuilder.Append("        <div class=\"l\">提问内容：</div>\r\n");
	pageBuilder.Append("        <div class=\"r\">\r\n");
	pageBuilder.Append("            <p><a href=\"javascript:showUpload('content',0,1)\">选择图片插入编辑器</a></p>\r\n");
	pageBuilder.Append("            <p><textarea name=\"content\" rows=\"12\" id=\"content\" style=\"width:538px\"></textarea></p>\r\n");
	pageBuilder.Append("            <p class=\"tips\"><span id=\"content_tip\"></span></p>\r\n");
	pageBuilder.Append("            <p class=\"zs\">已经输入<span id=\"contentnum\">0</span>字</p>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("    <div class=\"tr clearfix\">\r\n");
	pageBuilder.Append("        <div class=\"l\">问题分类：</div>\r\n");
	pageBuilder.Append("        <div class=\"r\">\r\n");
	pageBuilder.Append("            <p class=\"cnav\"><input name=\"classid\" type=\"text\" style=\"display:none\" id=\"classid\" value=\"\"/><span>分类导航：<a href=\"javascript:getSubject(0);\">一级分类</a></span><span id=\"classnav\"></span></p>\r\n");
	pageBuilder.Append("            <p class=\"tips\"><span id=\"classid_tip\"></span></p>\r\n");
	pageBuilder.Append("            <div class=\"clearfix\">\r\n");
	pageBuilder.Append("                <div id=\"cate\" class=\"cate\"></div>\r\n");
	pageBuilder.Append("                <div class=\"classtip\">\r\n");
	pageBuilder.Append("                    <ul>\r\n");
	pageBuilder.Append("                    <li>无限极选择分类</li>\r\n");
	pageBuilder.Append("                    <li>点导航返回所有子类</li>\r\n");
	pageBuilder.Append("                    <li>可以选择在大类和小类发布</li>\r\n");
	pageBuilder.Append("                    <li>在小类发布更容易检索</li>\r\n");
	pageBuilder.Append("                    </ul>\r\n");
	pageBuilder.Append("                </div>\r\n");
	pageBuilder.Append("            </div>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("    <div class=\"tr clearfix\">\r\n");
	pageBuilder.Append("        <div class=\"l\">悬赏分：</div>\r\n");
	pageBuilder.Append("        <div class=\"r\">\r\n");
	pageBuilder.Append("        <input name=\"xsf\" type=\"text\" style=\"width:38px\" id=\"xsf\" value=\"5\" class=\"inputs\" onkeyup=\"this.value=this.value.replace(/\\D/g,'')\" onpaste=\"return false\" style=\"ime-mode:disabled\"/> 您当前的可用分<span id=\"score\">");
	pageBuilder.Append(userscore.ToString());
	pageBuilder.Append("</span>分\r\n");
	pageBuilder.Append("        <p class=\"tips\"><span id=\"xsf_tip\"></span></p>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("    <div class=\"tr clearfix\">\r\n");
	pageBuilder.Append("        <div class=\"l\">匿名提问：</div>\r\n");
	pageBuilder.Append("        <div class=\"r\"><input name=\"isnm\" id=\"isnm\" type=\"checkbox\" value=\"1\" /> 匿名提问将扣除");
	pageBuilder.Append(postnm.ToString());
	pageBuilder.Append("分</div>\r\n");
	pageBuilder.Append("    </div>\r\n");

	if (userid==0)
	{

	pageBuilder.Append("    <div class=\"tr clearfix\">\r\n");
	pageBuilder.Append("        <div class=\"l\">&nbsp;</div>\r\n");
	pageBuilder.Append("        <div class=\"m\"><center><b>请先<a href=\"login.aspx\">登录</a>，再提交问题</b></center></div>\r\n");
	pageBuilder.Append("    </div>\r\n");

	}
	else
	{

	pageBuilder.Append("    <div class=\"tr clearfix\">\r\n");
	pageBuilder.Append("        <div class=\"l\">&nbsp;</div>\r\n");
	pageBuilder.Append("        <div class=\"m\"><p class=\"submitbox\"><input class=\"postsub\" id=\"postsubmit\" type=\"submit\" value=\"提交问题\" /> [Ctrl+Enter 快速发布]</p></div>\r\n");
	pageBuilder.Append("    </div>\r\n");

	}	//end if

	pageBuilder.Append("</form><iframe name=\"postdata\" style=\"display:none;\"></iframe>\r\n");
	pageBuilder.Append("   </div>\r\n");
	pageBuilder.Append("   <div class=\"rele\">\r\n");
	pageBuilder.Append("        <div class=\"relecont\">\r\n");
	pageBuilder.Append("        <p><em></em>输入标题，答案立即呈现在眼前~</p>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("   </div>\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("  <div class=\"footer\">\r\n");
	pageBuilder.Append("    ");
	pageBuilder.Append(copyright.ToString());
	pageBuilder.Append("\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("<script type=\"text/javascript\" src=\"http://v1.jiathis.com/code/jia.js\" charset=\"utf-8\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("</body>\r\n");
	pageBuilder.Append("</html>\r\n");

	Response.Write(pageBuilder.ToString());
}
</script>
